Subject: Re: 2.6.37 vlans on bnx2 not functional, panic with tcpdump

From: Iain Paton <[email-masked]>
Date: Fri, 07 Jan 2011 18:01:29 +0000

Michael Chan wrote:

> The kernel has undergone major VLAN changes at this time, so there may
> be a problem depending on what stripping mode we're in.  The tg3 driver
> is having some similar problems that haven't been completely resolved
> yet.

It seems to be related to generic vlan changes, I've duplicated it on an Intel 82547L nic in a completely different system connected 
to a different switch.

So you can consider any bnx2 cause for this closed. I'll get back to the list if I can come up with any more useful info.

Thanks for your help,
Iain